{
  "type" : "record",
  "name" : "ReportedVsGeneticSummary",
  "namespace" : "org.gel.models.metrics.avro",
  "fields" : [ {
    "name" : "rvsgCheckVersion",
    "type" : "string",
    "doc" : "Reported vs Genetic checks version. This version should point to specific versions of the RvsG script,\n        configurations and thresholds"
  }, {
    "name" : "runDate",
    "type" : "string",
    "doc" : "In the format YYYY-MM-DDTHH:MM:SS+0000"
  }, {
    "name" : "genomeAssembly",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "SupportedAssembly",
      "doc" : "Supported assemblies",
      "symbols" : [ "GRCh37", "GRCh38" ]
    } ],
    "doc" : "Genome assembly"
  }, {
    "name" : "pathToDirectory",
    "type" : "string",
    "doc" : "Path to the directory containing the checks for this family"
  }, {
    "name" : "numberOfMarkers",
    "type" : [ "null", "double" ],
    "doc" : "Number of markers used to compute the Mendelian Inconsistencies. This corresponds to the number of\n        lines in the PLINK .bim file used for this family"
  }, {
    "name" : "numberOfMarkersLE",
    "type" : [ "null", "double" ],
    "doc" : "Number of markers in approximate linkage equilibrium used to calculate IBD"
  }, {
    "name" : "mendelErrorsTool",
    "type" : "string",
    "doc" : "Tool used to compute mendelian inconsistencies"
  }, {
    "name" : "mendelErrorsToolVersion",
    "type" : "string",
    "doc" : "Version of the tool used to compute mendelian inconsistencies"
  }, {
    "name" : "relatednessTool",
    "type" : "string",
    "doc" : "Tool used to compute within-family relatedness"
  }, {
    "name" : "relatednessToolVersion",
    "type" : "string",
    "doc" : "Version of the tool used to compute mendelian inconsistencies"
  }, {
    "name" : "samplesInfo",
    "type" : {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "SamplesInfo",
        "doc" : "ReportedVsGeneticSummary\n    ========================================\n    General information about the checks, versions, tools, and number of markers",
        "fields" : [ {
          "name" : "participantId",
          "type" : "string",
          "doc" : "Participant Id: This code should be unique per patient and independent of the sample"
        }, {
          "name" : "sampleId",
          "type" : "string",
          "doc" : "Sample Id (e.g, LP00012645_5GH))"
        }, {
          "name" : "deliveryId",
          "type" : "string",
          "doc" : "Delivery Id"
        } ]
      }
    },
    "doc" : "Information about the samples used to calculate the RvsG checks"
  } ]
}
